GWT 2.7.0

## com.google.gwt.user.client.ui
Interface FiresSuggestionEvents

All Known Implementing Classes:
  SuggestBox

Deprecated. Use `HasSelectionHandlers` instead.

    @Deprecated
    public interface FiresSuggestionEvents

A widget that implements this interface fires the events defined by the `SuggestionHandler` interface.

Method Summary
`void` | `addEventHandler(SuggestionHandler handler)` Deprecated. Add a selection handler instead
`void` | `removeEventHandler(SuggestionHandler handler)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

Method Detail

### addEventHandler

    @Deprecated
    void addEventHandler(SuggestionHandler handler)

  Deprecated. Add a selection handler instead

  Adds a handler interface to receive suggestion events.

  Parameters:
    `handler` - the handler to add

### removeEventHandler

    @Deprecated
    void removeEventHandler(SuggestionHandler handler)

  Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

  Removes a previously added handler interface.

  Parameters:
    `handler` - the handler to remove

GWT 2.7.0